/**
* Title: MyServiceSkeleton
* Description:
* Copyright:    Copyright (c) 2009
* Company:      Morpheus
* @author Stefano Adriani
* @version 1.0
*/

package adriani.webapp.axis ;

/**
* Main class representing the Java Web Service. The methods offered by this class should be listed
* when asking for the descriptor WSDL document at the URL:<br/><br/>
*
* <code>http://localhost:8080/axis2/services/myService?wsdl</code><br/><br/>
*/
public class MyServiceSkeleton {

	/** The leading name of each message logged on the standard output.									*/
	protected String leadingName = "MyServiceSkeleton - " ;

	/**
	* Main method invoked each time the service is called. Actual implementation just echos the input
	* message, for instance, if the input messagge is "foo" the returned element will contain the
	* text message "Echo foo".
	*
	* @param element_1 a valid instance of the <code>Element_1</code> class
	* @param Element_2 a valid instance of the <code>Element_2</code> class
	*/
	public Element_2 Operation_01 (Element_1 element_1) {

		String value = element_1.getElement_1() ;
		System.out.println(leadingName + "Invoked with value: " + value) ;
		Element_2 result = new Element_2() ;
		result.setElement_2("Echo " + value) ;
		return result ;
	}

} // END OF CLASS
