/**
 * Title: Service_01
 * Description:
 * Copyright:    Copyright (c) 2009
 * Company:      Morpheus
 * @author Stefano Adriani
 * @version 1.0
 */

package adriani.webapp.lang ;

import java.io.* ;
import java.util.* ;
import javax.servlet.* ;
import javax.servlet.http.* ;

/**
* A simple servlet mapped to the logic name "Service_01", used to provide a simple web service
* based on the XML message system.
*/
public class Service_01 extends HttpServlet {

	/**
	* Method invoked when the servlet is activated by a normal URL request (i.e. a GET request).
	*/
	public void doGet(HttpServletRequest request, HttpServletResponse response) 
		throws ServletException, IOException {
      
		PrintWriter out = response.getWriter();
		
		// Producing XML header (not sure! Verifify this when possibile)
		response.setHeader("Content-type", "text/xml");
		
		// Getting response data
		int[] time = getServerTime() ;
		
		// Producing XML content: this is not a real SOAP messagge, but it's a good starting
		// point before learning the SOAP message mechanism.
		out.write("<?xml version='1.0' encoding='ISO-8859-1'?>") ;
		out.write("<envelope>") ;
		out.write("<header>") ;
		out.write("<description>") ;
		out.write("This is a simple XML service returning the server time") ;
		out.write("</description>") ;		
		out.write("</header>") ;
		out.write("<body>") ;
		out.write("<hour>" + time[0] + "</hour>") ;
		out.write("<minute>" + time[1] + "</minute>") ;
		out.write("<second>" + time[2] + "</second>") ;
		out.write("</body>") ;
		out.write("</envelope>") ;
	}
  
	/**
	* Return the current system time as an int[] array.
	*/
	public int[] getServerTime() {
		
		GregorianCalendar calendar = new GregorianCalendar() ;
		int s = calendar.get(Calendar.SECOND) ;
		int m = calendar.get(Calendar.MINUTE) ;
		int h = calendar.get(Calendar.HOUR_OF_DAY) ;
		int[] result = {h, m, s} ;
		return result ;
	}  
  
} // END OF CLASS
